File rubygem-bundler.changes of Package rubygem-bundler

-------------------------------------------------------------------
Thu Nov 22 05:00:44 UTC 2018 - Stephan Kulow <coolo@suse.com>

- updated to version 1.17.1
 see installed CHANGELOG.md

  ## 1.17.1 (2018-10-25)
  
   - Convert `Pathname`s to `String`s before sorting them, fixing #6760 and #6758 ([#6761](https://github.com/bundler/bundler/pull/6761), @alexggordon)
  
  ## 1.17.0 (2018-10-25)
  
  No new changes.
  
  ## 1.17.0.pre.2 (2018-10-13)
  
  Features:
  
    - Configure Bundler home, cache, config and plugin directories with `BUNDLE_USER_HOME`, `BUNDLE_USER_CACHE`, `BUNDLE_USER_CONFIG` and `BUNDLE_USER_PLUGIN` env vars ([#4333](https://github.com/bundler/bundler/issues/4333), @gwerbin)
    - Add `--all` option to `bundle binstubs` that will generate an executable file for all gems with commands in the bundle
    - Add `bundle remove` command to remove gems from the Gemfile via the CLI
    - Improve checking file permissions and asking for `sudo` in Bundler when it doesn't need to
    - Add error message to `bundle add` to check adding duplicate gems to the Gemfile
    - When asking for `sudo`, Bundler will show a list of folders/files that require elevated permissions to write to.
  
  The following new features are available but are not enabled by default. These are intended to be tested by users for the upcoming release of Bundler 2.
  
    - Improve deprecation warning message for `bundle show` command
    - Improve deprecation warning message for the `--force` option in `bundle install`
  
  ## 1.17.0.pre.1 (2018-09-24)
  
  Features:
  
    - Check folder/file permissions of the Bundle home directory in the `bundle doctor` command ([#5786](https://github.com/bundler/bundler/issues/5786), @ajwann)
    - Remove compiled gem extensions when running `bundle clean` ([#5596](https://github.com/bundler/bundler/issues/5596), @akhramov)
    - Add `--paths` option to `bundle list` command ([#6172](https://github.com/bundler/bundler/issues/6172), @colby-swandale)
    - Add base error class to gems generated from `bundle gem` ([#6260](https://github.com/bundler/bundler/issues/6260), @christhekeele)
    - Correctly re-install gem extensions with a git source when running `bundle pristine` ([#6294](https://github.com/bundler/bundler/issues/6294), @wagenet)
    - Add config option to disable platform warnings ([#6124](https://github.com/bundler/bundler/issues/6124), @agrim123)
    - Add `--skip-install` option to `bundle add` command to add gems to the Gemfile without installation ([#6511](https://github.com/bundler/bundler/issues/6511), @agrim123)
    - Add `--only-explicit` option to `bundle outdated` to list only outdated gems in the Gemfile ([#5366](https://github.com/bundler/bundler/issues/5366), @peret)
    - Support adding multiple gems to the Gemfile with `bundle add` ([#6543](https://github.com/bundler/bundler/issues/6543), @agrim123)
    - Make registered plugin events easier to manage in the Plugin API (@jules2689)
    - Add new gem install hooks to the Plugin API (@jules2689)
    - Add `--optimistic` and `--strict` options to `bundle add` ([#6553](https://github.com/bundler/bundler/issues/6553), @agrim123)
    - Add `--without-group` and `--only-group` options to `bundle list` ([#6564](https://github.com/bundler/bundler/issues/6564), @agrim123)
    - Add `--gemfile` option to the `bundle exec` command ([#5924](https://github.com/bundler/bundler/issues/5924), @ankitkataria)
  
  The following new features are available but are not enabled by default. These are intended to be tested by users for the upcoming release of Bundler 2.
  
    - Make `install --path` relative to the current working directory ([#2048](https://github.com/bundler/bundler/issues/2048), @igorbozato)
    - Auto-configure job count ([#5808](https://github.com/bundler/bundler/issues/5808), @segiddins)
    - Use the Gem Version Promoter for major gem updates ([#5993](https://github.com/bundler/bundler/issues/5993), @segiddins)
    - Add config option to add the Ruby scope to `bundle config path` when configured globally (@segiddins)

-------------------------------------------------------------------
Sat Oct 20 01:01:42 UTC 2018 - Marcus Rueckert <mrueckert@suse.de>

- update to version 1.16.6
  Changes:
  - Add an error message when adding a gem with `bundle add` that's
    already in the bundle
    ([#6341](https://github.com/bundler/bundler/issues/6341),
    @agrim123)
  - Add Homepage, Source Code and Chanagelog URI metadata fields to
    the `bundle gem` gemspec template (@walf443) Bugfixes:
  - Fix issue where updating a gem resulted in the gem's version
    being downgraded when `BUNDLE_ONLY_UPDATE_TO_NEWER_VERSIONS`
    was set
    ([#6529](https://github.com/bundler/bundler/issues/6529),
    @theflow)
  - Fix some rescue calls that don't specifiy error type (@utilum)
  - Fix an issue when the Lockfile would contain platform-specific
    gems that it didn't need
    ([#6491](https://github.com/bundler/bundler/issues/6491),
    @segiddins)
  - Improve handlding of adding new gems with only a single group
    to the Gemfile in `bundle add` (@agrim123)
  - Refactor check for OpenSSL in `bundle env` (@voxik)
  - Remove an unnecessary assignment in Metadata (@voxik)
    Documentation:
  - Update docs to reflect revised guidance to check in
    Gemfile.lock into version control for gems
    ([#5879](https://github.com/bundler/bundler/issues/5879),
    @arbonap)
  - Add documentation for the `--all` flag in `bundle update`
    (@agrim123)
  - Update README to use `bundle add` in usage examples (@hdf1986)
- changes from version 1.16.5 Changes:
  - Add support for TruffleRuby (@eregon) Bugfixes:
  - Avoid printing git errors when checking the version on
    incorrectly packaged versions of Bundler
    ([#6453](https://github.com/bundler/bundler/issues/6453),
    @greysteil)
  - Fix issue where Bundler does not check the given class when
    comparing equality in DepProxy (@ChrisBr)
  - Handle `RangeNotSatisfiable` error in Compact Index (@MaxLap)
  - Check for initialized `search` variable in `LazySpecification`
    (@voxik)
  - Fix LoadError occurring in nested bundle exec calls
    ([#6537](https://github.com/bundler/bundler/issues/6537),
    @colby-swandale)
  - Check that Bundler::Deprecate is not an autoload constant
    ([#6163](https://github.com/bundler/bundler/issues/6163),
    @eregon)
  - Prefer non-pre-release versions when performing a `bundle
    update --patch`
    ([#6684](https://github.com/bundler/bundler/issues/6684),
    @segiddins)

-------------------------------------------------------------------
Wed Sep  5 10:04:15 UTC 2018 - coolo@suse.com

- updated to version 1.16.4
 see installed CHANGELOG.md

  ## 1.16.4 (2017-08-17)
  
  Changes:
  
    - Welcome new members to the Bundler core team (@indirect)
    - Don't mutate original error trees when determining version_conflict_message (@greysteil)
    - Update vendored Molinillo to 0.6.6 (@segiddins)
  
  Bugfixes:
  
    - Reword bundle update regression message to be more clear to the user when a gem's version is downgraded ([#6584](https://github.com/bundler/bundler/issues/6584), @ralphbolo)
    - Respect --conservative flag when updating a dependency group ([#6560](https://github.com/bundler/bundler/issues/6560), @greysteil)
    - Fix issue where a pre-release version was not being selected when it's specified in the Gemfile ([#6449](https://github.com/bundler/bundler/issues/6449), @akihiro17)
    - Fix issue where `Etc` was not loaded when getting the user's home dir ([#6640](https://github.com/bundler/bundler/issues/6640), @colby-swandale)
    - Use UTF-8 for reading files including Gemfile ([#6660](https://github.com/bundler/bundler/issues/6660), @eregon)
    - Remove unnecessary `while` loop in path resolver helper (@ojab)
  
  Documentation:
  
    - Document that `bundle show [--paths]` sorts results by name (@kemitchell)

-------------------------------------------------------------------
Tue Jul 17 05:01:25 UTC 2018 - factory-auto@kulow.org

- updated to version 1.16.3
 see installed CHANGELOG.md

  ## 1.16.3 (2018-07-17)
  
  Features:
  
    - Support URI::File of Ruby 2.6 (@hsbt)
  
  Bugfixes:
  
    - Expand symlinks during setup to allow Bundler to load correctly when using symlinks in $GEM_HOME ([#6465](https://github.com/bundler/bundler/issues/6465), @ojab, @indirect)
    - Dont let Bundler create temporary folders for gem installs which are owned by root ([#6258](https://github.com/bundler/bundler/issues/6258), @colby-swandale)
    - Don't fallback to using temporary directories when needed directories already exist ([#6546](https://github.com/bundler/bundler/issues/6546), @brodock)
    - Use SharedHelpers.filesystem_access when reading a Gemfile so friendly error messages can be given to the user ([#6541](https://github.com/bundler/bundler/issues/6541), @segiddins)
    - Check if source responds to `#remotes` before printing gem install error message ([#6211](https://github.com/bundler/bundler/issues/6211), @colby-swandale)
    - Handle Errno::ENOTSUP in the Bundler Process Lock to prevent exceptions when using NFS mounts ([#6566](https://github.com/bundler/bundler/issues/6566), @colby-swandale)
    - Respect encodings when reading gemspecs ([#6598](https://github.com/bundler/bundler/issues/6598), @deivid-rodriguez)
  
  Documentation:
  
    - Fix links between manual pages (@BanzaiMan)
    - Add warning to Gemfile documentation for the use of the `source` option when declaring gems ([#6280](https://github.com/bundler/bundler/issues/6280), @forestgagnon)

-------------------------------------------------------------------
Wed May 16 21:04:16 UTC 2018 - factory-auto@kulow.org

- updated to version 1.16.2
 see installed CHANGELOG.md

  ## 1.16.2 (2018-04-20)
  
  Changes:
  
    - Include the gem's source in the gem install error message when available (@papanikge)
    - Remove unnecessary executable bit from gem template (@voxik)
    - Dont add the timestamp comment with gems added to the Gemfile via `bundle add` ([#6193](https://github.com/bundler/bundler/issues/6193), @cpgo)
    - Improve yanked gem error message (@alyssais)
    - Use `Bundler.rubygems.inflate` instead of the Gem::Util method directly (@segiddins)
    - Remove unused instance variable (@segiddins)
  
  Bugfixes:
  
    - Only trap INT signal and have Ruby's signal default handler be invoked (@shayonj)
    - Fix warning about the use of `__FILE__` in RubyGems integration testing (@MSP-Greg)
    - Skip the outdated bundler check when MD5 is not available ([#6032](https://github.com/bundler/bundler/issues/6032), @segiddins)
    - Fallback to the original error if the friendly message raises (@segiddins)
    - Rename Bundler.frozen? to avoid Object method conflict ([#6252](https://github.com/bundler/bundler/issues/6252), @segiddins)
    - Ensure the bindir exists before installing gems (@segiddins)
    - Handle gzip corruption errors in the compact index client ([#6261](https://github.com/bundler/bundler/issues/6261), @colby-swandale)
    - Check if the current directory is writeable when writing files in `bundle gem` ([#6219](https://github.com/bundler/bundler/issues/6219), @nilsding)
    - Fix hang when gemspec has incompatible encoding (@deivid-rodriguez)
    - Gracefully handle when the lockfile is missing spec entries for the current platform ([#6079](https://github.com/bundler/bundler/issues/6079), @segiddins)
    - Use Gem::Util.inflate instead of Gem.inflate (@hsbt)
    - Update binstub generator to use new ERB.new arity in Ruby 2.6 (@koic)
    - Fix `source_location` call in rubygems integration (@MSP-Greg)
    - Use `filesystem_access` when copying files in Compact Index Updater ([#6289](https://github.com/bundler/bundler/issues/6289), @segiddins)
    - Fail gracefully when resetting git gems to the given revision fails ([#6324](https://github.com/bundler/bundler/issues/6324), @segiddins)
    - Handle exceptions that do not have a backtrace ([#6342](https://github.com/bundler/bundler/issues/6342), @nesaulov)
    - Check if stderr was closed before writing to it (@shime)
    - Handle updating a specific gem for a non-local platform ([#6350](https://github.com/bundler/bundler/issues/6350), @greysteil)
    - Bump the `bundle_binstub` check-length to 300 characters (@tduffield)
    - Fix specifying alterntive Lockfile with `bundle lock` when default gemfile is present  ([#6460](https://github.com/bundler/bundler/issues/6460), @agrim123)
    - Allow installing dependencies when the path is set to `.`  ([#6475](https://github.com/bundler/bundler/issues/6475), @segiddins)
    - Support Bundler installing on a readonly filesystem without a home directory ([#6461](https://github.com/bundler/bundler/issues/6461), @grosser)
    - Filter git uri credentials in source description (@segiddins)
  
  Documentation:
  
    - Correct typos in `bundle binstubs` man page (@erikj, @samueloph)
    - Update links in `bundle gem` command documentation to use https (@KrauseFx)
    - Fix broken links between bundler man pages (@segiddins)
    - Add man page for the `bundle doctor` command ([#6243](https://github.com/bundler/bundler/issues/6243), @nholden)
    - Document `# frozen_string_literal` in `bundle init` Gemfile (@315tky)
    - Explain the gemspec files attribute in `bundle gem` template and print a link to bundler.io guides when running `bundle gem` ([#6246](https://github.com/bundler/bundler/issues/6246), @nesaulov)
    - Small copy tweaks & removed redundant phrasing in the bundler man page (@rubymorillo)
    - Improve the documentation of the settings load order in Bundler (@rubymorillo)
    - Added license info to main README (@rubymorillo)
    - Document parameters and return value of Injector#inject (@tobias-grasse)

-------------------------------------------------------------------
Tue Jan  9 07:24:16 UTC 2018 - coolo@suse.com

- updated to version 1.16.1
 see installed CHANGELOG.md

  ## 1.16.1 (2017-12-12)
  
  Bugfixes:
  
    - avoid hanging on complex resolver errors ([#6114](https://github.com/bundler/bundler/issues/6114), @halfbyte)
    - avoid an error when running `bundle update --group` ([#6156](https://github.com/bundler/bundler/issues/6156), @mattbrictson)
    - ensure the resolver prefers non-pre-release gems when possible ([#6181](https://github.com/bundler/bundler/issues/6181), @greysteil)
    - include bundler's gemspec in the built gem ([#6165](https://github.com/bundler/bundler/issues/6165), @dr-itz)
    - ensure locally installed specs are not overriden by those in remote sources during dependency resolution ([#6072](https://github.com/bundler/bundler/issues/6072), @indirect)
    - ensure custom gemfiles are respected in generated binstubs (@pftg)
    - fail gracefully when loading a bundler-generated binstub when `bin/bundle` was not generated by bundler ([#6149](https://github.com/bundler/bundler/issues/6149), @hsbt)
    - allow `bundle init` to be run even when a parent directory contains a gemfile ([#6205](https://github.com/bundler/bundler/issues/6205), @colby-swandale)

-------------------------------------------------------------------
Sun Dec  3 19:11:36 UTC 2017 - coolo@suse.com

- updated to version 1.16.0
 see installed CHANGELOG.md

  ## 1.16.0 (2017-10-31)
  
  Bugfixes:
  
    - avoid new RubyGems warning about unsafe YAML loading (to keep output consistent) (@segiddins)
    - load digest subclasses in a thread-safe manner (@segiddins, @colby-swandale)
    - avoid unusued variable warnings under ruby 2.5 (@amatsuda)
    - fix printing the same message twice in verbose mode ([#6028](https://github.com/bundler/bundler/issues/6028), @akhramov)
    - allow `SignalException`s to bubble up to the interpreter during `bundle exec` ([#6090](https://github.com/bundler/bundler/issues/6090), @dekellum)
    - avoid activating stdlib digest under Ruby 2.5 (@segiddins)
    - prioritise explicitly requested gems in dependency resolution sort order (@segiddins)
    - reduce memory usage during dependency resolution ([#6114](https://github.com/bundler/bundler/issues/6114), @greysteil)
    - ensure that the default bundler gem is not accidentally activated on ruby 2.5 when using local git overrides (@segiddins)
  
  ## 1.16.0.pre.3 (2017-10-04)
  
  Features:
  
    - the output from `bundle env` includes more information, particularly both the compiled & loaded versions of OpenSSL (@indirect)
  
  Bugfixes:
  
    - fix a bug where installing on FreeBSD would accidentally raise an error (#6013, @olleolleolle)
    - fix a regression in 1.16 where pre-release gems could accidentally be resolved even when the gemfile contained no pre-release requirements (@greysteil)
    - bundler will avoid making unnecessary network requests to fetch dependency data, fixing a regression introduced in 1.16 (@segiddins)
    - the outdated bundler version message is disabled by default until the message has been fine-tuned (#6004, @segiddins)
  
  ## 1.16.0.pre.2 (2017-09-06)
  
  Bugfixes:
  
    - handle when a connection is missing a socket when warning about OpenSSL version (@greysteil)
    - the description for the `rake release` task now reflects `$RUBYGEMS_HOST` (@wadetandy)
    - fix a bug where `bundle update` would regress transitive dependencies (@greysteil)
  
  ## 1.16.0.pre.1 (2017-09-04)
  
  Features:
  
    - allow using non-branch symbolic refs in a git source (#4845, @segiddins)
    - allow absolute paths in the `cache path` setting (#5627, @mal)
    - gems created via `bundle gem` with rspec have `--require spec_helper` in their `.rspec` file (@koic)
    - `bundle env` includes `Gem.ruby` and the `bundle` binstub shebang when they don't match (#5616, @segiddins)
    - allow passing gem names to `bundle pristine` (@segiddins)
    - `bundle version` and `bundle env` include the commit and build date for the bundler gem (#5049, @segiddins)
    - add the `--shebang` option to `bundle binstubs` (#4070, @segiddins, @Zorbash)
    - gemfiles are `eval`ed one fewer time when running `bundle install` (#4952, #3096, #4417, @segiddins)
    - the `fileutils` gem is now vendored so different versions of the gem can be activated (@segiddins)
    - speed up no-op installations (#5842, @segiddins)
    - default to keeping the lockfile in the default gem template (@deivid-rodriguez)
    - add a special bundler binstub that ensures the correct version of bundler is activated (#5876, @segiddins)
    - speed up dependency resolution and ensure that all resolvable gemfiles can be installed (@segiddins, @greysteil)
    - add a `bundle list` command that prints the gems in use (#4754, @colby-swandale)
    - allow adding credentials to a gem source during deployment when `allow_deployment_source_credential_changes` is set (@adrian-gomez)
    - making an outdated (and insecure) TLS connection to rubygems.org will print a warning (@segiddins)
  
  Bugfixes:
  
    - allow configuring a mirror fallback timeout without a trailing slash (#4830, @segiddins)
    - fix handling of mirrors for file: urls that contain upper-case characters (@segiddins)
    - list the correct gem host for `rake release` when `allowed_push_host` has been set (@mdeering)
    - ensure `Bundler.original_env` preserves all env keys that bundler sets (#5700, @segiddins)
    - ensure `bundle pristine` removes files added to a git gem (@segiddins)
    - load plugin files from path gems before gem installation (#5429, @segiddins)
    - ensure gems containing manpages are properly set up (#5730, @segiddins)
    - avoid fetching remote specs when all effected gems are in groups that are not being installed (@segiddins)
    - allow `BUNDLE_GEMFILE` to be a relative path (#5712, @gxespino)
    - show a more helpful error message when a gem fails to install due to a corrupted lockfile (#5846, @segiddins)
    - add a process lock to allow multiple concurrent `bundle install`s (#5851, @stefansedich)
    - ensure that specifications always return an array for `#extensions` (@greysteil)
    - print a helpful error message when using a gem in the Gemfile with an empty name (@colby-swandale)
    - ensure that all gemfiles are included in `bundle env` (@segiddins)
    - use ssl client cert and ca cert settings from gem configuration as fallbacks (@stan3)
    - avoid global namespace pollution when loading gems (#5958, @shyouhei)
    - avoid running a complete re-resolve on `bundle update --bundler` (@segiddins)
    - allow `bundle binstubs --standalone` to work without `path` being set (@colby-swandale)
    - fix support for bundle paths that include jars or wars on jruby (#5975, @torcido)

-------------------------------------------------------------------
Sun Sep  3 08:57:11 UTC 2017 - coolo@suse.com

- updated to version 1.15.4
 see installed CHANGELOG.md

  ## 1.15.4 (2017-08-19)
  
  Bugfixes:
  
    - handle file conflicts gracefully in `bundle gem` (@rafaelfranca, @segiddins)
    - bundler will fail gracefully when the bundle path contains the system path separator (#5485, ajwann)
    - failed gem downloads will be retried consistently across different RubyGems versions (@shayonj)
    - `bundle pristine` will respect build options while re-building native extensions (@NickLaMuro)

-------------------------------------------------------------------
Thu Aug  3 19:06:03 UTC 2017 - coolo@suse.com

- updated to version 1.15.3
 see installed CHANGELOG.md

  ## 1.15.3 (2017-07-21)
  
  Bugfixes:
  
    - ensure that empty strings passed to `bundle config` are serialized & parsed properly (#5881, @segiddins)
    - avoid printing an outdated version warning when running a parseable command (@segiddins)

-------------------------------------------------------------------
Thu Jul 20 10:55:26 UTC 2017 - mrueckert@suse.de

- switch to already patched gem file until we figure out how to
  handle the slightly different gem spec --ruby output on TW

-------------------------------------------------------------------
Thu Jul 20 10:47:21 UTC 2017 - mrueckert@suse.de

- update to 1.15.2
  - Features:
    - new gemfiles created by bundler will include an explicit
      `github` git source that uses `https` (@segiddins)
  - Bugfixes:
    - inline gemfiles work when `BUNDLE_BIN` is set (#5847,
      @segiddins)
    - avoid using the old dependency API when there are no changes
      to the compact index files (#5373, @greysteil)
    - fail gracefully when the full index serves gemspecs with
      invalid dependencies (#5797, @segiddins)
    - support installing gemfiles that use `eval_gemfile`, `:path`
      gems with relative paths, and `--deployment` simultaneously
      (@NickLaMuro)
    - `bundle config` will print settings as the type they are
      interpreted as (@segiddins)
    - respect the `no_proxy` environment variable when making
      network requests (#5781, @jakauppila)
    - commands invoked with `--verbose` will not have default flags
      printed (@segiddins)
    - allow `bundle viz` to work when another gem has a requirable
      `grapviz` file (#5707, @segiddins)
    - ensure bundler puts activated gems on the `$LOAD_PATH` in a
      consistent order (#5696, @segiddins)

-------------------------------------------------------------------
Fri Jun 16 23:06:56 UTC 2017 - mrueckert@suse.de

- update to 1.15.1
  - Bugfixes:
    - `bundle lock --update GEM` will fail gracefully when the gem
      is not in the lockfile (#5693, @segiddins)
    - `bundle init --gemspec` will fail gracefully when the gemspec
      is invalid (@colby-swandale)
    - `bundle install --force` works when the gemfile contains git
      gems (#5678, @segiddins)
    - `bundle env` will print well-formed markdown when there are
      no settings (#5677, @segiddins)

-------------------------------------------------------------------
Tue May 23 09:43:06 UTC 2017 - coolo@suse.com

- updated to version 1.15.0
 see installed CHANGELOG.md

  ## 1.15.0 (2017-05-19)
  
  This space intentionally left blank.
  
  ## 1.15.0.pre.4 (2017-05-10)
  
  Bugfixes:
  
    - avoid conflicts when `Gem.finish_resolve` is called after the bundle has been set up (@segiddins)
    - ensure that `Gem::Specification.find_by_name` always returns an object that can have `#to_spec` called on it (#5592, @jules2689)
  
  ## 1.15.0.pre.3 (2017-04-30)
  
  Bugfixes:
  
    - avoid redundant blank lines in the readme generated by `bundle gem` (@koic)
    - ensure that `open-uri` is not loaded after `bundle exec` (@segiddins)
    - print a helpful error message when an activated default gem conflicts with
      a gem in the gemfile (@segiddins)
    - only shorten `ref` option for git gems when it is a SHA (#5620, @segiddins)
  
  ## 1.15.0.pre.2 (2017-04-23)
  
  Bugfixes:
  
    - ensure pre-existing fit caches are updated from remote sources (#5423, @alextaylor000)
    - avoid duplicating specs in the lockfile after updating with the gem uninstalled (#5599, @segiddins)
    - ensure git gems have their extensions available at runtime (#5594, @jules2689, @segiddins)
  
  ## 1.15.0.pre.1 (2017-04-16)
  
  Features:
  
    - print a notification when a newer version of bundler is available (#4683, @segiddins)
    - add man pages for all bundler commands (#4988, @feministy)
    - add the `bundle info` command (@fredrb, @colby-swandale)
    - all files created with `bundle gem` comply with the bundler style guide (@zachahn)
    - if installing a gem fails, print out the reason the gem needed to be installed (#5078, @segiddins)
    - allow setting `gem.push_key` to set the key used when running `rake release` (@DTrierweiler)
    - print gem versions that are regressing during `bundle update` in yellow (#5506, @brchristian)
    - avoid printing extraneous dependencies when the resolver encounters a conflict (@segiddins)
    - add the `bundle issue` command that prints instructions for reporting issues (#4871, @jonathanpike)
    - add `--source` and `--group` options to the `bundle inject` command (#5452, @Shekharrajak)
    - add the `bundle add` command to add a gem to the gemfile (@denniss)
    - add the `bundle pristine` command to re-install gems from cached `.gem` files (#4509, @denniss)
    - add a `--parseable` option for `bundle config` (@JuanitoFatas, @colby-swandale)
  
  Performance:
  
    - speed up gemfile initialization by storing locked dependencies as a hash (@jules2689)
    - speed up gemfile initialization by making locked dependency comparison lazy, avoiding object allocation (@jules2689)
    - only validate git gems when they are downloaded, instead of every time `Bundler.setup` is run (@segiddins)
    - avoid regenerating the lockfile when nothing has changed (@segiddins)
    - avoid diffing large arrays when no sources in the gemfile have changed (@segiddins)
    - avoid evaluating full gemspecs when running with RubyGems 2.5+ (@segiddins)
  
  Bugfixes:
  
    - fix cases where `bundle update` would print a resolver conflict instead of updating the selected gems (#5031, #5095, @segiddins)
    - print out a stack trace after an interrupt when running in debug mode (@segiddins)
    - print out when bundler starts fetching a gem from a remote server (@segiddins)
    - fix `bundle gem` failing when `git` is unavailable (#5458, @Shekharrajak, @colby-swandale)
    - suggest the appropriate command to unfreeze a bundle (#5009, @denniss)
    - ensure nested calls to `bundle exec` resolve default gems correctly (#5500, @segiddins)
    - ensure that a plugin failing to install doesn't uninstall other plugins (@kerrizor, @roseaboveit)
    - ensure `socket` is required before being referenced (#5533, @rafaelfranca)
    - allow running `bundle outdated` when gems aren't installed locally (#5553, @segiddins)
    - print a helpful error when `bundle exec`ing to a gem that isn't included in the bundle (#5487, @segiddins)
    - print an error message when a non-git gem is given a `branch` option (#5530, @colby-swandale)
    - allow interrupts to exit the process after gems have been installed (@segiddins)
    - print the underlying error when downloading gem metadata fails (#5579, @segiddins)
    - avoid deadlocking when installing with a lockfile that is missing dependencies (#5378, #5480, #5519, #5526, #5529, #5549, #5572, @segiddins)

-------------------------------------------------------------------
Thu Mar 16 23:58:49 UTC 2017 - mrueckert@suse.de

- fix gemspec_remove_pem.patch

-------------------------------------------------------------------
Thu Mar 16 05:29:12 UTC 2017 - coolo@suse.com

- updated to version 1.14.6
 see installed CHANGELOG.md

  ## 1.14.6 (2017-03-03)
  
  Bugfixes:
  
    - avoid undefined constant `Bundler::Plugin::API::Source` exception (#5409, @segiddins)
    - avoid incorrect warnings about needing to enable `specific_platform` (@segiddins)
    - fail gracefully when the compact index does not send an ETag (#5463, @olleolleolle)
    - ensure `bundle outdated --local` shows all outdated gems (#5430, @denniss)
    - fix a case where ruby version requirements could lead to incorrect resolver conflicts (#5425, @segiddins)
  
  ## 1.14.5 (2017-02-22)
  
  Bugfixes:
  
    - avoid loading all unused gemspecs during `bundle exec` on RubyGems 2.3+ (@segiddins)
    - improve resolver performance when dependencies have zero or one total possibilities ignoring requirements (#5444, #5457, @segiddins)
    - enable compact index when OpenSSL FIPS mode is enabled but not active (#5433, @wjordan)
    - use github username instead of git name for the github url in `bundle gem` (#5438, @danielpclark)
    - avoid a TypeError on RubyGems 2.6.8 when no build settings are set for native extensions (@okkez)
    - fail gracefully when the dependency api is missing runtime dependencies for a gem (@segiddins)
    - handle when a platform-specific gem has more dependencies than the ruby platform version (#5339, #5426, @segiddins)
    - allow running bundler on a machine with no home directory where the temporary directory is not writable (#5371, @segiddins)
    - avoid gem version conflicts on openssl using Ruby 2.5 (#5235, @rhenium)
    - fail when installing in frozen mode and the dependencies for `gemspec` gems have changed without the lockfile being updated (#5264, @segiddins)

-------------------------------------------------------------------
Tue Feb 14 05:31:59 UTC 2017 - coolo@suse.com

- updated to version 1.14.4
 see installed CHANGELOG.md

  ## 1.14.4 (2017-02-12)
  
  Bugfixes:
  
    - fail gracefully when attempting to overwrite an existing directory with `bundle gem` (#5358, @nodo)
    - fix a resolver bug that would cause bundler to report conflicts that it could resolve (#5359, #5362, @segiddins)
    - set native extension build arguments for git gems (#5401, @segiddins)
    - fix the suggested `bundle lock` command printed when a dependency is unused on any platform (@5t111111)
    - ensure the version passed to `ruby` in the Gemfile is valid during Gemfile parsing (#5380, @segiddins)
    - show `bundle inject` usage when too many arguments are passed (#5384, @Shekharrajak)
    - stop `bundle show --outdated` from implicitly running `bundle update` (#5375, @colby-swandale)
    - allow the temporary home directory fallback to work for multiple users (@svoop)
  
  ## 1.14.3 (2017-01-24)
  
  Bugfixes:
  
    - fix the resolver attemting to activate ruby-platform gems when the bundle is only for other platforms (#5349, #5356, @segiddins)
    - avoid re-resolving a locked gemfile that uses `gemspec` and includes development dependencies (#5349, @segiddins)
  
  ## 1.14.2 (2017-01-22)
  
  Bugfixes:
  
    - fix using `force_ruby_platform` on windows (#5344, @segiddins)
    - fix an incorrect version conflict error when using `gemspec` on multiple platforms (#5340, @segiddins)
  
  ## 1.14.1 (2017-01-21)
  
  Bugfixes:
  
    - work around a ruby 2.2.2 bug that caused a stack consistency error during installation (#5342, @segiddins)
  
  ## 1.14.0 (2017-01-20)
  
  Bugfixes:
  
    - ensure `Settings::Mirror` is autoloaded under the `Settings` namespace
      (#5238, @segiddins)
    - fix `bundler/inline` when `BUNDLE_GEMFILE=""` (#5079, @segiddins)
  
  ## 1.14.0.pre.2 (2017-01-11)
  
  Bugfixes:
  
    - allow not selecting a gem when running `bundle open` (#5301, @segiddins)
    - support installing gems from git branches that contain shell metacharacters (#5295, @segiddins)
    - fix a resolver error that could leave dependencies unresolved (#5294, @segiddins)
    - fix a stack overflow error when invoking commands (#5296, @segiddins)
  
  ## 1.14.0.pre.1 (2016-12-29)
  
  Features:
  
    - `bundle doctor` first runs `bundle check` (@segiddins)
    - the bundler trampoline is automatically enabled when the target version is greater than bundler 2 (@segiddins)
    - gem checksums returned by rubygems.org are validated when installing gems (#4464, @segiddins)
    - use the git username as a github username when running `bundle gem` (@JuanitoFatas)
    - show more context when the resolver conflicts on required ruby and rubygems versions (@segiddins)
    - improve platform support by allowing bundler to pick the best platform match during dependency resolution, enabled with the `specific_platform` setting (#4295, #4896, @segiddins)
    - always prompt the user for a password when using `sudo` (#3006, @segiddins)
    - support running without a home directory (#4778, @segiddins)
    - print a warning when the gemfile uses a platform conditional that will exclude the gem from all lockfile platforms (@segiddins)
    - add the `force_ruby_platform` setting to force bundler to install ruby-platform gems, even on other platforms (#4813, @segiddins)
    - add conservative update options to `bundle lock` (#4912, @chrismo)
    - improve `bundle outdated` output to group gems by group (@ryanfox1985)
    - add conservative update options to `bundle update` (#5065, #5076, @chrismo)
    - print the output of `bundle env` as github-flavored markdown, making it easier to preserve formatting when copy-pasting into a new issue (@segiddins)
    - configure the persistence file when using `bundle gem` with `rspec` (@segiddins)
    - add support for the `ruby_25` gemfile filter (@amatsuda)
    - when installing with a lockfile that is missing dependencies, allow installation to proceed (but without parallelism) (@segiddins)
  
  Performance:
  
    - improve `require "bundler"` performance by ~5x (@segiddins)
    - allow install gems in parallel when running on rubygems 2+
  
  Bugfixes:
  
    - config files with CRLF line endings can be read (#4435, @segiddins)
    - `bundle lock` activates gems for the current platform even if they were activated under a different platform for a separate dependency (#4896, @segiddins)
    - running `bundle env` in a directory without a gemfile no longer crashes (@segiddins)
    - fail gracefully when attempting to use a source with an unknown URI scheme (#4953, @segiddins)
    - store paths in the lockfile relative to the root gemfile directory when using `eval_gemfile` (#4966, @segiddins)
    - `bundle lock` will not update without the `--update` flag (#4957, @segiddins)
    - the `console` binstub generated by `bundle gem` will load `.irbrc` files (@mattbrictson)
    - print friendly filesystem access errors in the new index (@segiddins)
    - print a helpful error when running out of memory on jruby (#4673, @segiddins)
    - load all rubygems plugins when installing gems (#2824, @segiddins)
    - `bundle clean --dry-run` prints the list of gems without the `--force` option when no path is set (#5027, @hmistry)
    - local installs no longer print "this gem may have been yanked" (#5022, @hmistry)
    - avoid leaking `which` output when running `bundle doctor` (@colby-swandale)
    - print a warning when attempting to `bundle exec` an empty program (#5084, @bronzdoc)
    - ensure `bundle outdated` lists all outdated gems (#4979, @chrismo)
    - fail gracefully when attempting to `bundle gem` with an invalid constant name (#5185, @segiddins)
    - allow `bundler/inline` to work in a directory that contains a gemfile (#5117, @colby-swandale)
    - ensure that the new index is thread-safe, allowing installation on rbx (#5142, @segiddins)
    - remove deprecated `rspec` syntax in `bundle gem` output (@gearnode)
      - fail gracefully when any system error is encountered when touching the filesystem (#5134, @segiddins)
    - fix compatibility with a machine running with FIPS mode enabled (#4989, @segiddins)
    - fix `bundle lock --add-platform ruby` (#5230, @segiddins)
    - print gem post-install messages when running `bundle update` (@smathy)
    - ensure errors due to a retries are all separated by a newline (@segiddins)
    - print out the bundle path in gem not found errors (#4854, @diegosteiner)
    - fail gracefully when creating threads fails (@segiddins)
    - avoid downloading metadata for gems that are only development dependencies (@Paxa)
  
  ## 1.13.7 (2016-12-25)
  
  Features:
  
    - add support for the `ruby_24` gemfile filter (#5281, @amatsuda)

-------------------------------------------------------------------
Sun Nov 13 19:02:13 UTC 2016 - coolo@suse.com

- update patch

-------------------------------------------------------------------
Sat Oct 29 04:30:52 UTC 2016 - coolo@suse.com

- updated to version 1.13.6
 see installed CHANGELOG.md

  ## 1.13.6 (2016-10-22)
  
  Bugfixes:
  
    - make the `gem` method public again, fixing a regression in 1.13.4 (#5102, @segiddins)
  
  ## 1.13.5 (2016-10-15)
  
  Bugfixes:
  
    - Ensure a locked pre-release spec can always be re-resolved (#5089, @segiddins)
  
  ## 1.13.4 (2016-10-11)
  
  Bugfixes:
  
   - stop printing warning when compact index versions file is rewritten (#5064, @indirect)
   - fix `parent directory is world writable but not sticky` error on install (#5043, @indirect)
   - fix for `uninitialized constant Bundler::Plugin::API::Source` error (#5010, @hsbt, @aycabta)
   - make `update` options for major, minor, and patch updates consistent (#4934, @chrismo)
  
  ## 1.13.3 (2016-10-10)
  
  Bugfixes:
  
    - add support for weak etags to the new index (@segiddins)

-------------------------------------------------------------------
Sat Oct  8 04:29:23 UTC 2016 - coolo@suse.com

- updated to version 1.13.2
 see installed CHANGELOG.md

  ## 1.13.2 (2016-09-30)
  
  Bugfixes:
  
    - allow `Settings` to be initialized without a root directory (@m1k3)
    - allow specifying ruby engines in the gemfile as a symbol (#4919, @JuanitoFatas)
    - avoid an execption when using `bundler/deployment` with Vlad (@srbaker)
    - ensure redefined methods have the same visibility as the one they're replacing, fixing `Kernel.require` failing on JRuby (#4975, @segiddins)
    - ensure that Bundler won't complain about a corrupt lockfile when no lockfile exists when using `gemspec` in the Gemfile (#5006, @segiddins)
    - fail gracefully when parsing the metadata for a gemspec from the compact index fails (@segiddins)
    - fix invoking bundler with binstubs generated by RubyGems 2.6.2+ (#4974, @chrismo)
  
  Performance:
  
    - avoid parsing the lockfile twice when evaluating gemfiles (@segiddins)
  
  ## 1.13.1 (2016-09-13)
  
  Bugfixes:
  
    - ensure that `Gem::Source` is available, fixing several exceptions (#4944, @dekellum)
    - ensure that dependency resolution works when multiple gems have the same dependency (#4961, @segiddins)
  
  ## 1.13.0 (2016-09-05)
  
  This space deliberately left blank.
  
  ## 1.13.0.rc.2 (2016-08-21)
  
  Features:
  
    - add setting `exec_disable_load` to force `exec` to spawn a new Ruby process (@segiddins)
    - add `doctor` command to help with issues like unlinked compiled gems (#4765, @mistydemeo)
    - rework the `update` command, providing fine-grained control via flags (#4676, @chrismo)
    - add URI to http response output in debug mode (#4808, @NickLaMuro)
    - add manpage for `binstubs` command (#4847, @Zorbash)
    - support `mirror` settings for sources by hostname, not only full URL (@opiethehokie)
    - print gem installation errors after other install output (#4834, @segiddins)
    - add `lock --remove-platform` flag to remove platforms from the lock (#4877, @segiddins)
    - add `only_update_to_newer_versions` setting to prevent downgrades during `update` (@segiddins)
    - expanded expirimental plugin support to include hooks and sources (@asutoshpalai)
  
  Bugfixes:
  
    - retry gem downloads (#4846, @jkeiser)
    - improve the CompactIndex to handle capitalized legacy gems (#4867, @segiddins)
    - re-use persistent HTTP connections for CompactIndex (@NickLaMuro)
    - respect `required_ruby_version` when Gemfile contains `ruby` version (@indirect)
    - allow `rake release` to sign git tags (#4743, @eagletmt)
    - set process titles when using `#load` during `exec` (@yob)
    - recognize JRuby shebangs for using `#load` during `exec` (@ojab)
    - handle world-writable home directories (#4726, @allenzhao)
    - support multi-platform gems via the `gemspec` Gemfile method (#4798, @segiddins)
    - print dots correctly for CompactIndex fetcher (@NickLaMuro)
    - set an `open_timeout` when requesting gem data via HTTP (@NickLaMuro)
    - rename the BUNDLE\_ORIG\_ENV variable so it no longer shows up in `config` (@indirect)
    - show help only when `-h` or `--help` is passed to Bundler, not to `exec` (#4801, @segiddins)
    - handle symlinks to binstubs created by `--standalone` (#4782, @terinjokes)
  
  ## 1.13.0.rc.1 (2016-06-27)
  
  Features:
  
    - when `bundle config major_deprecations` or `BUNDLE_MAJOR_DEPRECATIONS` is set, deprecation warnings for bundler 2 will be printed (@segiddins)
    - when running with `--verbose`, bundler will print the reason it is re-resolving a gemfile (@segiddins)
  
  Bugfixes:
  
    - fix support for running RubyGems 1.x on Ruby 2.3 (#4698, @segiddins)
    - fix bundle exec'ing to a ruby file when gems are installed into a path (#4592, @chrismo)
    - when multiple specs in a bundle have the same executable, prefer activating the one from the requested gem (#4705, @segiddins)
    - stop changing the load path to require the vendored postit when trampolining (@segiddins)
    - ensure relative paths are properly printed after completing an installation (@jenseng)
    - fix re-resolving when there are multiple unchanged path sources (@segiddins)
    - de-init submodules when running git 2.9 and requesting a git gem without submodules (@segiddins)
  
  ## 1.13.0.pre.1 (2016-06-20)
  
  Performance:
  
    - speed up gemfile resolution during `bundle install` by between 4x-100x (#4376, @segiddins)
    - generally reduce object allocations when using bundler (@segiddins)
    - speed up bin generation for path gems with many files (#2846, @segiddins)
    - fix detecting path spec changes to avoid re-resolving unnecessarily (@jrafanie)
  
  Features:
  
    - automatically trampoline to the bundler version locked in the lockfile, only updating to the running version on `bundle update --bundler` (@segiddins)
    - laying the groundwork for plugin support, which is currently unsuppported, undocumented, disabled by default, and liable to change without notice (@asutoshpalai)
    - allow `bundle viz --without` to accept multiple `:`-delimited groups (@mobilutz)
    - support for RubyGems 2.6.4 (#4368, @segiddins, @RochesterinNYC)
    - colorize updated gem versions (#4334, @bronzdoc)
    - add the `--standalone` flag to `bundle binstubs` (#4594, @b-ggs)
    - update the `bundle gem` CoC to contributor covenant v1.4 (@cllns)
    - use a custom YAML serializer to make config file consistent (@segiddins)
    - filter credentials from error messages (bundler/bundler-features#111, @RochesterinNYC, @sandlerr)
    - support relative paths used inside a nested invocation of `eval_gemfile` (#4584, @RochesterinNYC)
    - fail gracefully when attempting to install a yanked gem (#4344, @allenzhao)
    - automatically install an inline gemfile when gems are missing locally (@segiddins)
    - allow conflicts for gems resolved via `gemspec` (@segiddins)
    - add `--add-platform` option to `bundle lock` (@segiddins)
    - fail gracefully when a resolved spec's `required_ruby_version` or `required_rubygems_version` is incompatible (@segiddins)
  
  Bugfixes:
  
    - implicitly unlock the resolved ruby version when the declared requirements in the gemfile are incompatible with the locked version (#4595, #4627, @segiddins)
    - add support for quoted paths in `$PATH` (#4323, @segiddins)
    - check out missing git repos that are not being installed (#3981, @asutoshpalai)
    - write `bundler/setup.rb` to a consistent path (@glennpratt)
    - open editor in `bundle open` with a clean environment (@sj26)
    - resolve infinitely recursive copy when running `bundle package --all` with a `gemspec` in the gemfile (#4392, #4430, @RochesterinNYC)
    - fail gracefully when encountering an `Errno::ENOTSUP` (#4394, @segiddins)
    - fail gracefully when encountering an `Errno::EHOSTUNREACH` (#4642, @allenzhao)
    - fix loading config files with very long values (#4370, @segiddins)
    - only show potential updates for gemfile platforms in `bundle outdated` (#4450, @RochesterinNYC)
    - allow running `bundle install --deployment` after `bundle package --all` with path gems (#2175, @allenzhao)
    - add support for patchlevels in ruby versions in the gemfile and gemspecs (#4593, @chalkos)

-------------------------------------------------------------------
Thu May 26 04:28:39 UTC 2016 - coolo@suse.com

- updated to version 1.12.5
 see installed CHANGELOG.md

  ## 1.12.5 (2016-05-25)
  
  Bugfixes:
    - only take over `--help` on `bundle exec` when the first two arguments are `exec` and `--help` (#4596, @segiddins)
    - don't require `require: true` dependencies that are excluded via `env` or `install_if` (@BrianHawley)
    - reduce the number of threads used simultaneously by bundler (#4367, @will-in-wi)

-------------------------------------------------------------------
Wed May 25 09:15:37 UTC 2016 - coolo@suse.com

- simplify gemspec_remove_pem.patch

-------------------------------------------------------------------
Sat May 21 04:29:20 UTC 2016 - coolo@suse.com

- updated to version 1.12.4
 see installed CHANGELOG.md

  ## 1.12.4 (2016-05-16)
  
  Bugfixes:
    - ensure concurrent use of the new index can't corrupt the cache (#4519, @domcleal)
    - allow missing rubygems credentials when pushing a gem with a custom host (#4437, @Cohen-Carlisle)
    - fix installing built-in specs with `--standalone` (#4557, @segiddins)
    - fix `bundle show` when a gem has a prerelease version that includes a `-` (#4385, @segiddins)
  
  ## 1.12.3 (2016-05-06)
  
  Bugfixes:
    - fix uncoditionally writing `.bundle/config` when running `bundle install` (@segiddins)
    - fall back to the dependency API and the full index when the home directory is not writable (@segiddins)
  
  ## 1.12.2 (2016-05-04)
  
  Bugfixes:
    - fix modifying a frozen string when the resolver conflicts on dependencies with requirements (#4520, @grzuy)
    - fix `bundle exec foo --help` not showing the invoked command's help (#4480, @b-ggs)
  
  ## 1.12.1 (2016-04-30)
  
  Bugfixes:
    - automatically fallback when the new index has a checksum mismatch instead of erroring (@segiddins)
    - fix computation of new index file local checksums on Windows (#4472, @mwrock)
    - properly handle certain resolver backtracking cases without erroring (@segiddins, #4484)
    - ensure the `$LOAD_PATH` contains specs' load paths in the correct order (@segiddins, #4482)
  
  ## 1.12.0 (2016-04-28)
  
  This space intentionally left blank.
  
  ## 1.12.0.rc.4 (2016-04-21)
  
  Bugfixes:
  
    - don't fail when `bundle outdated` is run with flags and the lockfile contains non-semver versions (#4438, @RochesterinNYC)
  
  ## 1.12.0.rc.3 (2016-04-19)
  
  Bugfixes:
  
    - don't allow new attributes to dirty a lockfile when running `bundle exec`, `-rbundler/setup`, or `bundle check` (@segiddins)
  
  ## 1.12.0.rc.2 (2016-04-15)
  
  Features:
  
    - `bundle outdated` handles all combinations of `--major`, `--minor`, and `--patch` (#4396, @RochesterinNYC)
  
  Bugfixes:
  
    - prevent endless recursive copy for `bundle package --all` (#4392, @RochesterinNYC)
    - allow executables that are `load`ed to exit non-0 via an `at_exit` hook when invoked by `bundle exec` (@segiddins)
    - nested invocations of `bundle exec` properly preserve the `$PATH` and `$GEM_PATH` environment variables (@segiddins)
  
  ## 1.12.0.rc (2016-03-13)
  
  Performance:
  
    - Download gem metadata from globally distributed CDN endpoints (#4358, @segiddins)
  
  Bugfixes:
  
    - handle Ruby pre-releases built from source (#4324, @RochesterinNYC)
    - support binstubs from RubyGems 2.6 (#4341, @segiddins)
    - handle quotes present in in PATH (#4326, @segiddins)
  
  ## 1.12.0.pre.2 (2016-02-26)
  
  Performance:
  
    - speed up `bundle exec` by `load`ing the executable whenever possible, saving roughly .2 seconds per invocation (@segiddins)
  
  Features:
  
    - add a `--patch` flag for `bundle outdated` (@RochesterinNYC)
    - add `Bundler.clean_env` and `Bundler.original_env` (#4232, @njam)
    - add `--frozen` support to `bundle package` (#3356, @RochesterinNYC)
  
  Bugfixes:
  
    - place bundler loaded gems after `-I` and `RUBYLIB` (@Elffers)
    - give a better error message when filesystem access raises an `EPROTO` error (#3581, #3932, #4163, @RochesterinNYC)
    - give a better error message when both `--deployment` and `--system` are used together (@RochesterinNYC)
    - fix `$PATH` being preserved for use in `Bundler.with_clean_env` (#4251, @segiddins, @njam)
    - give a better error message when running `bundle outdated` in frozen mode (#4287, @RochesterinNYC)
    - handle when `http_proxy` is set to `:no_proxy` in the rubygems configuration (#4294, @segiddins)
    - give a better error message when authentication details aren't properly escaped (#4288, @RochesterinNYC)
    - fix `bundle outdated --minor` to only report updates that match the current minor version (@RochesterinNYC)
    - fix extra dependencies being resolved unnecessarily (#4276, @segiddins)
    - give a better error message when missing specs due to platform mis-matches (#4259, @RochesterinNYC)
    - skip rebuilding extensions for git gems if they are already built (#4082, @csfrancis, @indirect, @segiddins)
    - fix `bundle install` not installing when the `no_install` setting is set (#3966, @chulkilee, @segiddins)
  
  ## 1.12.0.pre.1 (2016-02-09)
  
  Performance:
  
    - speed up `bundle install` and `bundle update` by using the new compact gem index (@segiddins, @fotanus, @indirect)
    - speed up `bundle exec` by avoiding loading the gemfile twice (#2951, #2952, @segiddins)
  
  Features:
  
    - add support for using version operators to specify ruby versions in the Gemfile (@jtarchie)
    - redirect `--help` flag for plugins to that plugin's man page (@RochesterinNYC)
    - support probing a mirror with a fallback timeout (#4128, @pcarranza)
    - add `--full-index` option to `bundle lock` (@segiddins)
    - support running with frozen string literals (@deepj, @segiddins)
    - add `--major` and `--minor` options to `bundle outdated` (#3805, @cirdes)
    - allow passing a custom `ui` to `bundler/inline` (@lamont-granquist)
    - add support for ruby 2.4 (#4266, @segiddins)
    - add `bundle outdated --parseable` for machine-readable output (@RochesterinNYC)
  
  Bugfixes:
  
    - fix `bundle package --all` recursing endlessly (#4158, @RochesterinNYC)
    - fail fast on more errors when fetching remote resources (#4154, @RochesterinNYC)
    - give a better error message when a given git commit can't be found (#4140, @doy)
    - give a better error message when `bundle clean` doesn't have sufficient permissions (#4170, @RochesterinNYC)
    - give a better error message when reading a bundler config file fails (@segiddins)
    - restrict platforms when referencing a `gemspec` in the `Gemfile` to those defined in the gemspec (#4102, #4150, @smellsblue)
    - fix `bundle gem` with minitest to use the correct rake task (@kotoshenya)
    - give a better error message when ssl isn't available (#4054, @RochesterinNYC)
    - print the original `require` error when `Bundler.require` fails (#4182, @RochesterinNYC)
    - give a better error message when certain resources are temporarily unavailable (#4183, @RochesterinNYC)
    - fix returning case-sensitive gem mirror URIs on ruby 2.3 (@segiddins)
    - ignore colorized output from `git` when determining the current branch (#4056, @agis-)
    - fix storing the shared gems config option as a boolean (@vassilevsky)
    - add support for running `bundle gem --exe` instead of using the `--bin` option (@christhekeele)
    - fix `exec`-ing with 0 args in a directory with spaces (#4230, @segiddins)
    - avoid installing extraneous gems when resolving to an older version of a spec (#4101, #4198, @segiddins)
    - ensure paths resolved when parsing a gemfile are relative to that file (#3349, @dtognazzini)
    - give a better error message when encountering an invalid gemspec (#4248, #4275, @RochesterinNYC)
    - preserve the original `PATH` in `Bundler.with_clean_env` (#4251, @segiddins)
    - ensure standalone file paths are relative to the project root (#4144, @glennpratt)

-------------------------------------------------------------------
Wed Mar 23 12:07:48 UTC 2016 - olaf@aepfle.de

- Force fixed timestamps for patched gems (bsc#916047)

-------------------------------------------------------------------
Tue Jan  5 14:16:56 UTC 2016 - mrueckert@suse.de

- update to version 1.11.2
  - _really_ stop calling `required_ruby_version` on nil
    @specifications (#4147, @indirect)
- update to version 1.11.1
  - lazy-load Psych, again (#4149, @indirect)
  - allow gemspec gems on other platforms (#4150, @indirect)
  - fix --no-coc and --no-mit flags on `gem` (#4148,
    @RochesterinNYC)
  - stop calling `required_ruby_version` on nil @specifications
    (#4147, @indirect)
- update to version 1.11.0
  - fail gracefully when trying to execute a non-executable file
    (#4081, @fotanus)
  - fix a crash when pushing a gem via `rake release` (@segiddins)
  - actual Gemfile and lockfile filenames are used in messages
    (#3672, @segiddins)
  - the git remote for `rake release` is now customizable
    (@skateman)
  - file access permissions errors are now much more friendly
    (#3703, #3735, #3858, #3988, #4009 @repinel, @Elffers,
    @segiddins, @agis-)
  - add support for showing help for plugin commands (@tf)
  - send `X-Gemfile-Source` header to source mirrors (@agis-)
  - show what version upstream dependencies were resolved to in
    conflict messages (@segiddins)
  - add support for using bundler setting to add private access
    credentials for git sources (@frsyuki)
  - take into consideration HTTP proxy settings in `.gemrc`
    (@PG-kura)
  - allow specifying a gem host to push to in the `GEM_HOST`
    environment variable (@pmenglund)
  - when gempec `required_ruby_version` is available and the
    Gemfile specifies a ruby version, resolve for the given ruby
    version (@segiddins)
  - allow setting a `silence_root_warning` setting to silence the
    warning when `bundle install` is run as root (@blackxored)
  - update the `bundle gem` code of conduct template to Contributor
    Covenant v1.3.0 (@CoralineAda)
  - add support for specifying gems to update when running `bundle
    lock` via `--update gem1 gem2` (@JuanitoFatas)
  - added support for MRI 2.3 (@amatsuda)
  - show a helpful message when requiring a file in `bundler
    require` fails (#3960, @agis-)
  - include git revision hash when printing a git source (#3433,
    @agis-)
  - improve hint when a resolution conflict occurs (@seanlinsley)
  - show a friendly error when a git ref is not found (#3879,
    @agis-)
  - improve error message when sources are not absolute URIs
    (#3925, @agis-)
  - add `pkg` to rake's clobber list (#3676, @jasonkarns)
  - retry fetching specs when fetching version metadata fails
    (@jingweno)
  - avoid showing bundler version warning messages twice (@fotanus)
  - fix running `bundle check` with `--path` when the gems are only
    installed globally (@akihiro17)
  - fix `bin/setup` from `bundle gem` assuming `bash` is in `/bin`
  - fail more gracefully when an HTTP remote is unreachable (#3765,
    @steverob)
  - fix a warning running `bundle exec` on jruby 9.0.0.0
    (@deivid-rodriguez, @mastfish)
  - fix the `bundle gem` readme when no tests are generated
    (@roseweixel)
  - the dependencies on test gems in `bundle gem` are now locked to
    major versions (#3811, @indirect)
  - fix the paths for native extensions generated by `--standalone`
    (#3813, @AlexanderPavlenko)
  - fix trying to cache a gem that has no source (@EduardoBautista)
  - fix `--source` option to `bundle update` causing incorrect gem
    unlocking (#3759, #3761, @neoeno)
  - fix handling an empty `BUNDLE_GEMFILE` environment variables
    (#3678, @agis-)
  - avoid cleaning up gem extension directory in `bundle clean`
    (@Sirupsen)
  - fix the `ssl_verify_mode` setting not being treated as a number
    (@goughy000)
  - fix not retrying on zlib errors (#4047, @andremedeiros)
  - fix a warning being shown for using `URI.encode`
    (@EduardoBautista)
  - fix handling of fatal HTTP errors (#3830, @indirect)
  - ensure all `sudo` access is done in a thread-safe manner
    (#3910, @agis-)
  - fix caching gems with a path with the same prefix as the
    bundled application (@indirect)
  - fix showing gemspec validation errors on `bundle exec` (#3895,
    @agis-)
  - distinguish Gemfile syntax and evaluation errors (#3783,
    @agis-)
  - fix nested Gemfile sources not restoring the previous source
    (#3974, @agis-)
  - fix the `RUBYLIB` environment variable not being cleaned
    (#3982, @agis-)
  - fix handling a dependency missing from `Gemfile.lock` so
    parallel installation does not deadlock (#4012, @lukaso)
  - also print gemspecs in `bundle env` output (@agis-)
  - fix handling when a `path` source does not have a gemspec but a
    lockfile says there is (#4004, @segiddins)
  - show a warning when the `RUBYGEMS_GEMDEPS` environment variable
    is set (#3656, @agis-)
  - fix handling invalid RubyGems configuration files (#4042,
    @agis-)
  - fix `bundle console` falling back to `irb` when the preferred
    console is unavailable (@felixbuenemann)
  - restrict platforms when referencing a `gemspec` in the
    `Gemfile` to those defined in the gemspec (#4102, @smellsblue)
  - speed up dependency resolution in pathological cases by 25x
    (#3803, @segiddins)
  - drop string allocations when searching for gems (@jrafanie)
- refreshed gemspec_remove_pem.patch

-------------------------------------------------------------------
Wed Aug 12 11:50:47 UTC 2015 - mrueckert@suse.de

- update to 1.10.6
  - only warn on invalid gemspecs (@indirect)
  - fix installing dependencies in the correct order (#3799,
    @pducks32)
  - fix sorting of mixed DependencyLists (#3762, @tony-spataro-rs)
  - fix `install_if` conditionals when using the block form
    (@danieltdt)

-------------------------------------------------------------------
Fri Jun 26 13:13:27 UTC 2015 - mrueckert@suse.de

- update to 1.10.5
  - don't add or update BUNDLED WITH during `install` with no
    changes (@segiddins)
  - fix sorting of mixed DependencyLists with RubyGems >= 2.23
    (#3762, @tony-spataro-rs)
  - speed up resolver for path and git gems (@segiddins)
  - fix `install --force` to not reinstall Bundler (#3743,
    @karlo57)
- changes from 1.10.4
  - don't add BUNDLED WITH to the lock when Spring runs `check`
    over and over (@indirect)
  - display "with native extensions" log output correctly
    (@ivantsepp)
  - alias `i` to `install`, `c` to `check`, and `e` to `exec`
    (@indirect)

-------------------------------------------------------------------
Fri Jun  5 18:43:16 UTC 2015 - mrueckert@suse.de

- update to 1.10.3
  - allow missing gemspec files when validating path and git gems
    (#3686, #3698, @segiddins)
  - fix regression in `rake install` (#3701, #3705, @segiddins)
  - fix regression when calling `gem` with `bundle exec` or
    `-rbundler/setup` (#3699, @segiddins)
  - fix `bundler/inline` requiring a newly-installed gem (#3693,
    @indirect, @segiddins)
- changes from 1.10.2 (2015-05-29)
  - fix regression in `bundle update GEM` performance introduced in
    1.10.0 (#3687, @segiddins)
- changes from 1.10.1 (2015-05-28)
  - silence ruby warning when running CLI commands (@segiddins)
  - validate gemspecs in non-packaging mode (#3681, @segiddins)
  - ensure the same chdir mutex as RubyGems is used (#3680, @segiddins)
- changes from 1.10.0 (2015-05-28)
  - dramatically speed up resolving some slow Gemfiles (#3635,
    @segiddins)
  - track CI platforms running Bundler (#3646, @fotanus)
  - allow `viz` to work with prereleases (#3621, #3217, @aprescott)
  - validate gemspecs used in path and git gems (#3639, @segiddins,
    @indirect)
  - stop printing config warnings when config is unchanged (#3649,
    @fotanus, @indirect)
  - make BUNDLED WITH backwards compatible (#3623, @segiddins)
  - always clean up tmp dirs (#3277, @hone, @indirect, @segiddins)
  - support gem extensions built into any directory on RubyGems
    2.2+ (#3582, @voxik)
  - add 'bundler/inline' which provides a `gemfile` method (#3440,
    @segiddins)
  - improved error reports for Gemfile errors (#3480, @segiddins)
  - `lock` command (#3437, @segiddins)
  - add `ignore_messages` config to suppress post-install text
    (#3510, @pducks32)
  - improve `gem` minitest template (#3513, #3515, @arthurnn)
  - add `install --force` to re-install installed gems (#3519,
    @segiddins)
  - show more `outdated` information, including groups (@smlance,
    @indirect)
  - add optional groups to the Gemfile (#3531, @jhass)
  - accept glob argument to `gemspec` in Gemfile (#3464, @pjump)
  - make timeouts and retries configurable via `config` (#3601,
    @pducks32)
  - add `install_if` Gemfile method for conditional installs
    (#3611, @segiddins)
  - standalone mode now uses builtin gems correctly (#3610,
    @segiddins)
  - fix `rake spec:deps` on MinGW Ruby 2.0+ (#3487, @marutosi)
  - remember all y/n answers when generating gems (#3579,
    @pducks32)
  - use RubyGems stub specifications when possible (#3580,
    @segiddins)
  - deprecated the (never enabled) `bundle_ruby` binary (@smlance)
- refreshed gemspec_remove_pem.patch to apply cleanly again

-------------------------------------------------------------------
Mon May 18 09:44:50 UTC 2015 - mrueckert@suse.de

- update to 1.9.9
  - read mirror and credential settings from older versions (#3557,
    @Strech)
  - fix regression in sudo mode introduced by 1.9.7 (#3642,
    @segiddins)
  - always clean up tmp dirs (#3277, @hone, @indirect, @segiddins)
  - use RubyGems spec stubs if available (@segiddins)
  - allow creating gems with names containing two dashes (#3483,
    @janlelis)
  - allow creating gems with names extending constants (#3603,
    @amatsuda)
  - respect Gemfile sources when installing a gem present in two
    sources (#3585, @tmoore)
- refresh gemspec_remove_pem.patch to apply cleanly again and
  package the series file

-------------------------------------------------------------------
Thu Apr 23 08:03:40 UTC 2015 - coolo@suse.com

- updated to version 1.9.4
 see installed CHANGELOG.md

  ## 1.9.4 (2015-04-13)
  
  Bugfixes:
  
    - fix regression in installing x86 and universal gems (#3565, @jdmundrawala)
    - improve error when gems are missing (#3564, @sealocal)

-------------------------------------------------------------------
Mon Apr 13 05:35:23 UTC 2015 - coolo@suse.com

- updated to version 1.9.3
 Bugfixes:
 
   - handle removal of `specs` from rubygems/rubygems@620910 (#3558, @indirect)
   - install 'universal' gems on Windows (#3066, @jdmundrawala)
   - stop passing --local during `rake install` task (#3236, @indirect)
   - guard against all possible accidental public gem pushes (#3533, @indirect)

-------------------------------------------------------------------
Sun Apr 12 05:54:43 UTC 2015 - coolo@suse.com

- updated to version 1.9.2
 Bugfixes:
 
   - ensure gem executables are executable (#3517, #3511, @indirect)
   - fix warnings in Molinillo (#3516, @segiddins)
   - ensure duplicate dependencies do not propagate (#3522, @segiddins)
   - keep gems locked when updating another gem from the same source (#3250, @indirect)
   - resolve race that could build gems without saved arguments (#3404, @indirect)
 
 ## 1.9.1 (2015-03-21)
 
 Bugfixes:
 
   - avoid exception in 'bundler/gem_tasks' (#3492, @segiddins)
 
 ## 1.9.0 (2015-03-20)
 
 Bugfixes:
 
   - make Bundler.which stop finding directories (@nohoho)
   - handle Bundler prereleases correctly (#3470, @segiddins)

-------------------------------------------------------------------
Tue Mar 17 13:47:44 UTC 2015 - jmassaguerpla@suse.com

- Remove Certificate Authority files. For security reasons we don't
  want to distribute them, otherwise if the CA gets compromised,
  revoking it can be difficult if CA pem files are distributed in
  different RPMs.
- added gemspec_remove_pem.patch

-------------------------------------------------------------------
Mon Mar 16 06:53:57 UTC 2015 - coolo@suse.com

- updated to version 1.8.5
 Bugfixes:
 
   - remove MIT license from gemspec when removing license file (@indirect)
   - respect 'no' immediately as well as saving it in `gem` config (@kirs)

-------------------------------------------------------------------
Fri Mar  6 05:28:43 UTC 2015 - coolo@suse.com

- updated to version 1.8.4
 Bugfixes:
  - document --all-platforms option (#3449, @moeffju)
  - find gems from all sources on exec after install (#3450, @TimMoore)

-------------------------------------------------------------------
Thu Feb 26 05:29:08 UTC 2015 - coolo@suse.com

- updated to version 1.8.3
 Bugfixes:
 
   - handle boolean values for gem settings (@EduardoBautista)
   - stop always looking for updated `path` gems (#3414, #3417, #3429, @TimMoore)

-------------------------------------------------------------------
Sun Feb 15 05:28:40 UTC 2015 - coolo@suse.com

- updated to version 1.8.2

-------------------------------------------------------------------
Sat Feb 14 05:28:43 UTC 2015 - coolo@suse.com

- updated to version 1.8.1

-------------------------------------------------------------------
Tue Feb 10 17:26:12 UTC 2015 - coolo@suse.com

- updated to version 1.8.0

-------------------------------------------------------------------
Mon Feb  9 06:18:58 UTC 2015 - coolo@suse.com

- updated to version 1.7.13, see CHANGELOG.md

-------------------------------------------------------------------
Mon Oct 13 05:45:18 UTC 2014 - coolo@suse.com

- adapt to new rubygem packaging

-------------------------------------------------------------------
Fri Jul 25 09:25:03 UTC 2014 - coolo@suse.com

- updated to version 1.6.5
 Bugfixes:
  - require openssl explicitly to fix rare HTTPS request failures (@indirect, #3107)

-------------------------------------------------------------------
Mon Jul 21 08:11:03 UTC 2014 - coolo@suse.com

- updated to version 1.6.4
 Bugfixes:
 
   - fix undefined constant error when can't find gem during binstubs (#3095, @jetaggart)
   - work when installed git gems are not writable (#3092, @pmahoney)
   - don't store configured source credentials in Gemfile.lock (#3045, @lhz)
   - don't include config source credentials in the lockfile (Lars Haugseth)
   - use threads for jobs on Rubinius (@YorickPeterse)
   - skip dependencies from other platforms (@mvz)
   - work when Rubygems was built without SSL (@andremedeiros)
 
 ## 1.6.3 (2014-06-16)
 
 Bugfixes:
 
   - fix regression when resolving many conflicts (#2994, @Who828)
   - use local gemspec for builtin gems during install --local (#3041, @Who828)
   - don't warn about sudo when installing on Windows (#2984, @indirect)
   - shell escape `bundle open` arguments (@indirect)

-------------------------------------------------------------------
Mon Apr 21 17:11:35 UTC 2014 - coolo@suse.com

- updated to version 1.6.2
 Bugfixes:
 
   - fix an exception when using builtin gems (#2915, #2963, @gnufied)
   - cache gems that are built in to the running ruby (#2975, @indirect)
   - re-allow deploying cached git gems without git installed (#2968, @aughr)
   - keep standalone working even with builtin gems (@indirect)
   - don't update vendor/cache in deployment mode (#2921, @indirect)
 
 Features:
 
   - warn informatively when `bundle install` is run as root (#2936, @1337807)
 
-------------------------------------------------------------------
Sun Apr  6 05:38:50 UTC 2014 - coolo@suse.com

- updated to version 1.6.1
 Bugfixes:
 
   - update C extensions when git gem versions change (#2948, @dylanahsmith)
 
 Features:
 
   - add support for C extensions in sudo mode on Rubygems 2.2
 
 ## 1.6.0 (2014-04-28)
 
 Bugfixes:
 
   - many Gemfiles that caused incorrect errors now resolve correctly (@Who828)
   - redirects across hosts now work on rubies without OpenSSL (#2686, @grddev)
   - gemspecs now handle filenames with newlines (#2634, @jasonmp85)
   - support escaped characters in usernames and passwords (@punkie)
   - no more exception on `update GEM` without lock file (@simi)
   - allow long config values (#2823, @kgrz)
   - cache successfully even locked to gems shipped with Ruby (#2869, @aughr)
   - respect NO_PROXY even if a proxy is configured (#2878, @stlay)
   - only retry git commands that hit the network (#2899, @timmoore)
   - fix NameError regression when OpenSSL is not available (#2898, @timmoore)
   - handle exception installing when build_info owned by root (@Who828)
   - skip HTTP redirects from rubygems.org, huge speed boost (@Who828)
 
 Features:
 
   - resolver rewritten to avoid recursion (@Who828)
   - add `git_source` for custom options like :github and :gist (@strzalek)
   - HTTP auth may now be stored in `bundle config` (@smashwilson)
   - some complex Gemfiles are resolved up to 10x faster (@Who828)
   - add support for IRB alternatives such as Pry and Ripl (@joallard, @postmodern)
   - highlight installed or updated gems (#2722, #2741, @yaotti, @simi)
   - display the `post_install_message` for gems installed via :git (@phallstrom)
   - `bundle outdated --strict` now only reports allowed updates (@davidblondeau)
   - `bundle show --verbose` Add gem summary to the output (@lardcanoe)

-------------------------------------------------------------------
Thu Feb  6 18:00:12 UTC 2014 - coolo@suse.com

- updated to version 1.5.3
 Bugfixes:
 
   - find "missing" gems that are actually present (#2780, #2818, #2854)
   - pse n-1 cores when given n jobs for parallel install (@jdickey)
 
 ## 1.5.2 (2014-01-10)
 
 Bugfixes:
 
   - fix integration with Rubygems 1.8.0-1.8.19
   - handle ENETDOWN exception during network requests
   - gracefully shut down after interrupt during parallel install (@Who828)
   - allow Rails to run Thor without debug mode (@rafaelfranca)
   - set git binstub permissions by umask (@v-yarotsky)
   - remove parallel install debug log
 
-------------------------------------------------------------------
Fri Jul 12 10:15:25 UTC 2013 - coolo@suse.com

- fix update-alternatives usage

-------------------------------------------------------------------
Fri Apr 12 07:49:18 UTC 2013 - coolo@suse.com

- updated to version 1.3.5
 Features:
 
   - progress indicator while resolver is running (@chief)
 
 Bugfixes:
 
   - update local overrides with orphaned revisions (@jamesferguson)
   - revert to working quoting of RUBYOPT on Windows (@ogra)
   - use basic auth even when SSL is not available (@jayniz)
   - installing git gems without dependencies in deployment now works

-------------------------------------------------------------------
Mon Mar 18 06:10:25 UTC 2013 - coolo@suse.com

- updated to version 1.3.4
 Bugfixes:
 
   - load YAML on Rubygems version that define module YAML
   - fix regression that broke --without on ruby 1.8.7
 
 ## 1.3.3 (13 March 2013)
 
 Features:
 
   - compatible with Rubygems 2.0.2 (higher and lower already work)
   - mention skipped groups in bundle install and bundle update output (@simi)
   - `gem` creates rake tasks for minitest (@coop) and rspec
 
 Bugfixes:
 
   - require rbconfig for standalone mode
   - revert to working quoting of RUBYOPT on Windows (@ogra)
 
 ## 1.3.2 (7 March 2013)
 
 Features:
 
   - include rubygems.org CA chain
 
 Bugfixes:
 
   - don't store --dry-run as a Bundler setting

-------------------------------------------------------------------
Sun Mar  3 19:16:07 UTC 2013 - coolo@suse.com

- updated to version 1.3.1
 Bugfixes:
 
   - include manpages in gem, restoring many help pages
   - handle more SSL certificate verification failures
   - check for the full version of SSL, which we need (@alup)
   - gem rake task 'install' now depends on task 'build' (@sunaku)

-------------------------------------------------------------------
Sun Mar  3 09:31:31 UTC 2013 - coolo@suse.com

- updated to version 1.3.0
  - long feature list, see CHANGELOG.md 

-------------------------------------------------------------------
Fri Nov 30 14:39:22 UTC 2012 - coolo@suse.com

- updated to version 1.2.3
  - fix exceptions while loading some gemspecs

-------------------------------------------------------------------
Thu Nov 15 11:05:08 UTC 2012 - coolo@suse.com

- updated to version 1.2.2
  - support new Psych::SyntaxError for Ruby 2.0.0 (@tenderlove, @sol)
  - `bundle viz` works with git gems again (@hirochachacha)
  - recognize more cases when OpenSSL is not present

-------------------------------------------------------------------
Wed Sep 19 14:52:18 UTC 2012 - coolo@suse.com

- updated to version 1.2.1
  Bugfixes:
  - `bundle clean` now works with BUNDLE_WITHOUT groups again
  - have a net/http read timeout around the Gemcutter API Endpoint

-------------------------------------------------------------------
Fri Aug 31 07:18:46 UTC 2012 - coolo@suse.com

- updated to version 1.2.0
  Bugfixes:
  
    - raise original error message from LoadError's
  
  Documentation:
  
    - `platform` man pages
  
  ## 1.2.0.rc.2 (Aug 8, 2012)
  
  Bugfixes:
  
    - `clean` doesn't remove gems that are included in the lockfile
  
  ## 1.2.0.rc (Jul 17, 2012)
  
  Features:
  
    - `check` now has a `--dry-run` option (@svenfuchs, #1811)
    - loosen ruby directive for engines
    - prune git/path directories inside vendor/cache (@josevalim, #1988)
    - update vendored thor to 0.15.2 (@sferik)
    - add .txt to LICENSE (@postmodern, #2001)
    - add `config disable_local_branch_check` (@josevalim, #1985)
    - fall back on the full index when experiencing syck errors (#1419)
    - handle syntax errors in Ruby gemspecs (#1974)
  
  Bugfixes:
  
    - fix `pack`/`cache` with `--all` (@josevalim, #1989)
    - don't display warning message when `cache_all` is set
    - check for `nil` PATH (#2006)
    - Always try to keep original GEM_PATH (@drogus, #1920)

-------------------------------------------------------------------
Tue Jul 31 14:35:25 UTC 2012 - jreidinger@suse.com

- use new gem2rpm to get new provisions 

-------------------------------------------------------------------
Sun Jul 22 14:18:05 UTC 2012 - coolo@suse.com

- update to 1.1.5
  - Special case `ruby` directive from 1.2.0, so you can install Gemfiles that use it

-------------------------------------------------------------------
Mon Jun 25 19:02:52 UTC 2012 - coolo@suse.com

- update to 1.1.4
 - Use `latest_release` in Capistrano and Vlad integration (#1264)
 - Unknown exceptions now link to ISSUES for help instead of a new ticket
 - When OpenSSL is missing, provide instructions for fixing (#1776 etc.)
 - Correct inline help for `clean --force` (@dougbarth, #1911)
 - Work around a Ruby 1.9.3p194 bug in Psych when config files are empty

-------------------------------------------------------------------
Wed Apr  4 15:43:11 UTC 2012 - coolo@suse.com

- update to 1.1.3, see CHANGELOG.md

-------------------------------------------------------------------
Fri Mar 23 11:21:49 UTC 2012 - saschpe@suse.de

- Spec file cleanup:
  * Factory preparation

-------------------------------------------------------------------
Thu Nov  3 16:13:56 UTC 2011 - mrueckert@suse.de

- update to 1.0.21 (bnc#727772)
  - Load Psych unless Syck is defined, because 1.9.2 defines YAML
  - Add platform :maglev (@timfel, #1444)
  - Ensure YAML is required even if Psych is found
  - Handle directory names that contain invalid regex characters
  - Rescue interrupts to `bundle` while loading bundler.rb (#1395)
  - Allow clearing without groups by passing `--without ''` (#1259)
  - Manually sort requirements in the lockfile (#1375)
  - Remove several warnings generated by ruby -w (@stephencelis)
  - Handle trailing slashes on names passed to `gem` (#1372)
  - Name modules for gems like 'test-foo_bar' correctly (#1303)
  - Don't require Psych if Syck is already loaded (#1239)
  - Compatability with Rubygems 1.8.10 installer changes
  - Report gem installation failures clearly (@rwilcox, #1380)
  - Useful error for cap and vlad on first deploy (@nexmat, @kirs)
  - `exec` now works when the command contains 'exec'
  - Only touch lock after changes on Windows (@robertwahler, #1358)
  - Keep load paths when #setup is called multiple times (@radsaq,
    #1379)
  - Fix typo in DEBUG_RESOLVER (@geemus)
  - Fixes rake 0.9.x warning (@mtylty, #1333)
  - Fix `bundle cache` again for rubygems 1.3.x
  - Run the bundle install earlier in a Capistrano deployment
    (@cgriego, #1300)
  - Support hidden gemspec (@trans, @cldwalker, #827)
  - Make fetch_specs faster (@zeha, #1294)
  - Allow overriding development deps loaded by #gemspec (@lgierth,
    #1245)
  - Fix rake issues with rubygems 1.3.x (#1342)
  - Fixed invalid byte sequence error while installing gem on Ruby
    1.9 (#1341)
  - Performance fix for MRI 1.9 (@efficientcloud, #1288)
  - Shortcuts (like `bundle i`) for all commands (@amatsuda)
  - Correcly identify missing child dependency in error message
  - Allow Windows network share paths with forward slashes
    (@mtscout6, #1253)
  - Check for rubygems.org credentials so `rake release` doesn't
    hang (#980)
  - Find cached prerelease gems on rubygems 1.3.x (@dburt, #1202)
  - Fix `bundle install --without` on kiji (@tmm1, #1287)
  - Get rid of warning in ruby 1.9.3 (@smartinez87, #1231)
  - Documentation for `gem ..., :require => false` (@kmayer, #1292)
  - Gems provide "executables", they are rarely also binaries
    (@fxn, #1242)

-------------------------------------------------------------------
Tue Aug 16 12:40:35 UTC 2011 - mrueckert@suse.de

- change license header to list MIT and Ruby (bnc#712391)

-------------------------------------------------------------------
Wed Jul 20 20:17:13 UTC 2011 - mrueckert@suse.de

- update to 1.0.15
  - Improved Rubygems integration, removed many deprecation notices
  - Escape URL arguments to git correctly on Windows (1.0.14
    regression)
- additional changes from 1.0.14
  - Rubinius platform :rbx (@rkbodenner)
  - Include gem rake tasks with "require 'bundler/gem_tasks"
    (@indirect)
  - Include user name and email from git config in new gemspec
    (@ognevsky)
  - Set file permissions after checking out git repos (@tissak)
  - Remove deprecated call to Gem::SourceIndex#all_gems (@mpj)
  - Require the version file in new gemspecs (@rubiii)
  - Allow relative paths from the Gemfile in gems with no gemspec
    (@mbirk)
  - Install gems that contain 'bundler', e.g. guard-bundler (@hone)
  - Display installed path correctly on Windows (@tadman)
  - Escape quotes in git URIs (@mheffner)
  - Improve Rake 0.9 support (@quix)
  - Handle certain directories already existing (@raggi)
  - Escape filenames containing regex characters (@indirect)
- additional changes from 1.0.13
  - Compatibility with Rubygems master (soon to be v1.8) (@evanphx)
  - Informative error when --path points to a broken symlink
  - Support Rake 0.9 and greater (@e2)
  - Output full errors for non-TTYs e.g. pow (@josh)
  - Allow spaces in gem path names for gem tasks (@rslifka)
  - Have cap run bundle install from release_path (@martinjagusch)
  - Quote git refspec so zsh doesn't expand it (@goneflyin)
- additional changes from 1.0.12
  - Add --no-deployment option to `install` for disabling it on dev
    machines
  - Better error message when git fails and cache is present
    (@parndt)
  - Honor :bundle_cmd in cap `rake` command (@voidlock, @cgriego)
  - Compatibility with Rubygems 1.7 and Rails 2.3 and vendored gems
    (@evanphx)
  - Fix changing gem order in lock (@gucki)
  - Remove color escape sequences when displaying man pages
    (@bgreenlee)
  - Fix creating GEM_HOME on both JRuby 1.5 and 1.6 (@nickseiger)
  - Fix gems without a gemspec and directories in bin/ (@epall)
  - Fix --no-prune option for `bundle install` (@cmeiklejohn)
- additional changes from 1.0.11
  - Compatibility with Rubygems 1.6 and 1.7
  - Better error messages when a git command fails
  - Don't always update gemspec gems (@carllerche)
  - Remove ivar warnings (@jackdempsey)
  - Fix occasional git failures in zsh (@jonah-carbonfive)
  - Consistent lock for gems with double deps like Cap (@akahn)

-------------------------------------------------------------------
Thu Feb  3 10:27:51 UTC 2011 - dmacvicar@suse.de

- update to 1.0.10
  - Fix a regression loading YAML gemspecs from :git and :path gems
  - Requires, namespaces, etc. to work with changes in Rubygems 1.5
- update to 1.0.9
  - Fix a bug where Bundler.require could remove gems from the load
    path.
    In Rails apps with a default application.rb, this removed all
    gems in groups other than :default and Rails.env.
- update to 1.0.8
  - Allow overriding gemspec() deps with :git deps
  - Add --local option to bundle update
  - Ignore Gemfile.lock in newly generated gems
  - Use less as help pager instead of more
  - Run bundle exec rake instead of rake in Capistrano tasks
  - Fix --no-cache option for bundle install
  - Allow Vlad deploys to work without Capistrano gem installed
  - Fix group arguments to bundle console
  - Allow groups to be loaded even if other groups were loaded
  - Evaluate gemspec() gemspecs in their directory not the cwd
  - Count on Rake to chdir to the right place in GemHelper
  - Change Pathnames to Strings for MacRuby
  - Check git process exit status correctly
  - Fix some warnings in 1.9.3-trunk (thanks tenderlove)

-------------------------------------------------------------------
Thu Nov 18 17:51:59 UTC 2010 - mrueckert@suse.de

- update to 1.0.7
  - Remove Bundler version from the lockfile because it broke
    backwards compatibility with 1.0.0-1.0.5. Sorry. :(
- update to 1.0.6
  - Fix regression in `update` that caused long/wrong results
  - Allow git gems on other platforms while installing (#579)
  - Speed up `install` command using various optimizations
  - Significantly increase performance of resolver
  - Use upcoming Rubygems performance improvements (@tmm1)
  - Warn if the lockfile was generated by a newer version
  - Set generated gems' homepage to "", so Rubygems will warn
- update to 1.0.5
  - Fix regression disabling all operations that employ sudo
- update to 1.0.4
  - Expand relative :paths from Bundler.root (eg ./foogem)
  - Allow git gems in --without groups while --frozen
  - Allow gem :ref to be a symbol as well as a string
  - Fix exception when Gemfile needs a newer Bundler version
  - Explanation when the current Bundler version conflicts
  - Explicit error message if Gemfile needs newer Bundler
  - Ignore an empty string BUNDLE_GEMFILE
  - Skeleton gemspec now works with older versions of git
  - Fix shell quoting and ref fetching in GemHelper
  - Disable colored output in --deployment
  - Preserve line endings in lock file
  - Add support for 'mingw32' platform (aka RubyInstaller)
  - Large speed increase when Gemfile.lock is already present
  - Huge speed increase when many (100+) system gems are present
  - Significant expansion of ISSUES, man pages, and docs site
  - Remove Open3 from GemHelper (now it works on Windows™®©)
  - Allow setting roles in built-in cap and vlad tasks

-------------------------------------------------------------------
Thu Nov 11 15:41:03 UTC 2010 - mrueckert@suse.de

- update to 1.0.3

-------------------------------------------------------------------
Mon Aug 30 13:53:32 UTC 2010 - dmacvicar@novell.com

- update to 1.0.0

-------------------------------------------------------------------
Tue Aug  3 22:05:29 UTC 2010 - dmacvicar@novell.com

- update to 1.0rc2

-------------------------------------------------------------------
Thu Jun 10 15:59:37 UTC 2010 - mrueckert@suse.de

- update to version 0.9.26
  - error nicely on incompatible 0.10 lockfiles

-------------------------------------------------------------------
Fri May 14 16:08:56 UTC 2010 - dmacvicar@novell.com

- update to 0.9.25
  - explicitly coerce Pathname objects to Strings for Ruby 1.9
  - fix some newline weirdness in output from install command

-------------------------------------------------------------------
Thu Feb 18 18:39:07 UTC 2010 - mrueckert@suse.de

- update to 0.9.7

-------------------------------------------------------------------
Thu Feb 11 08:47:04 UTC 2010 - dmacvicar@novell.com

- update to 0.9.4

-------------------------------------------------------------------
Thu Feb  4 11:37:21 UTC 2010 - dmacvicar@novell.com

- update to 0.9.1

-------------------------------------------------------------------
Fri Jan 15 14:31:18 UTC 2010 - mrueckert@suse.de

- initial package. used for rails 3